type MutationResult {
  operationDone: Boolean
}

type Query {
  noopTodo: MutationResult
}

type Mutation {
  setTodoActionLog(
    actionLogId: ID!
    state: Boolean!
  ): MutationResult @deprecated
  setArchiveEmail(
    emailThreadId: ID!
    state: Boolean!
  ): MutationResult
  setEmailTodo(
    emailId: ID!
    state: Boolean!
  ): MutationResult
  setTeamQuestionnaireTodo(
    questionnaireId: ID!
    teamId: ID!
    state: Boolean!
  ): MutationResult
}

type EmailThreadType {
  archived: Boolean!
}

type EmailType {
  todo: Boolean!
}
type TeamQuestionnaireStateType {
  todo: Boolean!
}

type ActionLogType {
  todo: Boolean!
}